- NAME
- SYNOPSIS
- DESCRIPTION
- USAGE
- OPTIONS
  - --sqldump <filename>
  - --no-sqldump
  - --object (DEPRECATED)
  - --plugin '<plugin name>[=<arg>,<val>[;<arg>,<val>]...]'
  - --plugin list
  - --plugin help-<plugin name>
  - --force
  - --include-external-storage
- SEE ALSO

# NAME

rt-shredder - Utility to wipe out data from your RT database

# SYNOPSIS

      rt-shredder --plugin list
      rt-shredder --plugin help-Tickets
      rt-shredder --plugin 'Tickets=query,Queue="general" and Status="deleted"'

      rt-shredder --sqldump unshred.sql --plugin ...
      rt-shredder --force --plugin ...

# DESCRIPTION

rt-shredder wipes out objects from your RT database. This script uses an API that the RT::Shredder module adds to RT. This script can also be used as example of usage of the shredder API.

# USAGE

You can use several options to control which objects rt-shredder should wipe out.

When using other options, the --plugin option must be provided last.

# OPTIONS

## --sqldump <filename>

Outputs INSERT queries into a file for all shredded records. This dump can be used to restore data after wiping out.

By default rt-shredder creates files named <ISO_date>-XXXX.sql in the current directory.

## --no-sqldump

Don't generate the SQL dump file.

The SQL dump file provides you with a way to "undo" the removal of records from your RT database, if needed. Use this option only if you are sure you have a recent, valid database backup in case you need to recover data that may have been shredded in error.

## --object (DEPRECATED)

Option has been deprecated, use plugin `Objects` instead.

## --plugin '<plugin name>[=<arg>,<val>[;<arg>,<val>]...]'

You can use plugins to select RT objects with various conditions. See also --plugin list and --plugin help options.

## --plugin list

Output list of the available plugins.

## --plugin help-<plugin name>

Outputs help for specified plugin.

## --force

Don't prompt with questions before shredding objects.

## --include-external-storage

Shred externalized contents too. When this is enabled, a separate dump file that contains commands to re-externalize objects will be generated, along with SQL dump file, so you can fully "undo" if needed.

By default this is not enabled.

See also "%ExternalStorage" in RT_Config.

# SEE ALSO

RT::Shredder

← Back to index